### Line Number Bar

The line number bar is displayed on the left side of the editing panel. Two line numbering schemes are available: absolute and relative. In absolute line numbering, each number is associated with a corresponding line in the text window starting with line 1. In relative line numbering, the line containing the insertion cursor is numbered 0. Line numbers increase by one above the current line and below the current line. You can select between the line numbering schemes in the View / Line Numbering menu option.

In addition to showing line numbers, the line number bar also provides some useful selection functionality.  If the left-button is clicked on a line number, the entire corresponding line is selected in the text window.  If the left-button is held down while the mouse cursor is moved, the clicked line an all lines between that line and the current mouse cursor will be selected.  If the SHIFT button is held when the left mouse button is clicked, all lines between the last left-clicked line and the current line are selected.

When code folding is enabled for the current editing buffer (via the View / Folding / Enable Code Folding menu option), the line number bar will contain graphical disclosure triangles for each foldable line in the editing buffer. Left-clicking on a disclosure triangle will toggle the code fold at that location, hiding one level of indentation. If the Shift key is held while left-clicking on a disclosure triangle, code folding will be toggled in a deep manner, affecting all levels of indentation at or below the selected code block. You can unfold all folded code or fold all foldable code using the View / Folding menu options.

Finally, the line number bar can be used to create markers.  Markers are basically jump points in the text window.  Any line can be marked by right-clicking on a line number.  When this occurs, an entry field at the bottom of the window is displayed, allowing the user to provide a name for the marker.  Giving a name to a marker is optional, but useful.  To give the marker a name, enter a string and hit the RETURN key.  To create an unnamed marker, simply hit the RETURN key in the name entry field.  To cancel the creation of the marker, hit the ESCAPE key in the name entry field.  After a marker has been created, the corresponding line number will be given an orange highlight in the line number bar.

To clear an existing marker, simply right-click on a line that has already been given a marker.  The line highlight will be cleared to indicate that the marker no longer exists.